Create a webhook subscription
curl --request POST \
--url https://api.hostreach.io/v1/public/v1/webhooks \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"url": "https://yourapp.com/webhooks/hostreach",
"secret": "<string>",
"name": "Production webhook",
"events": [
"leads.imported",
"lead.status_updated"
]
}
'import requests
url = "https://api.hostreach.io/v1/public/v1/webhooks"
payload = {
"url": "https://yourapp.com/webhooks/hostreach",
"secret": "<string>",
"name": "Production webhook",
"events": ["leads.imported", "lead.status_updated"]
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://yourapp.com/webhooks/hostreach',
secret: '<string>',
name: 'Production webhook',
events: ['leads.imported', 'lead.status_updated']
})
};
fetch('https://api.hostreach.io/v1/public/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Create a webhook subscription
POST
/
public
/
v1
/
webhooks
Create a webhook subscription
Authorizations
API key (hr_live_... or hr_test_...). Generate from Settings › Workspace › Acceso API.
Body
application/json
HTTPS endpoint that will receive event payloads.
Example:
"https://yourapp.com/webhooks/hostreach"
Secret used to sign the payload via HMAC-SHA256 (sent in X-Hostreach-Signature header). Strongly recommended.
Human-readable label for this subscription.
Example:
"Production webhook"
Event types to subscribe to. Defaults to all events if omitted.
Available options:
extraction.completed, leads.imported, lead.status_updated, lead.first_response Example:
["leads.imported", "lead.status_updated"]
Response
201 - undefined
Was this page helpful?
⌘I